Contacts
List contact segments
Get all segments for a specific contact.
GET
/
orgs
/
contacts
/
{contact_id}
/
segments
List contact segments
curl --request GET \
--url https://api.useinvent.com/orgs/contacts/{contact_id}/segments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/contacts/{contact_id}/segments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/contacts/{contact_id}/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"color": "red",
"contacts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
Contact ID
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Response
200 - application/json
Accent color, by name
Available options:
red, orange, amber, yellow, lime, green, teal, cyan, sky, blue, indigo, violet, purple, fuchsia, pink, rose, neutral Was this page helpful?
⌘I
List contact segments
